Upload one object
curl --request POST \
--url https://api.fivemesh.io/v1/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>",
"filename": "<string>",
"metadata": {}
}
'import requests
url = "https://api.fivemesh.io/v1/objects"
payload = {
"path": "<string>",
"filename": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>', filename: '<string>', metadata: {}})
};
fetch('https://api.fivemesh.io/v1/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
FiveMesh CDN
Upload one object
Upload a single CDN object with a multipart request.
POST
/
objects
Upload one object
Upload one file to FiveMesh CDN from a server-side integration.
Requires
cdn:write.
Optional key used to replay the same successful upload response after a retry.
File to upload.
Optional destination folder.
Optional stored filename. Defaults to the uploaded file name.
Optional string metadata. Non-string values are ignored.
curl -X POST "https://api.fivemesh.io/v1/objects" \
-H "Authorization: Bearer $FIVEMESH_API_KEY" \
-H "Idempotency-Key: upload-screenshot-001" \
-F "file=@a.png" \
-F "path=screenshots" \
-F 'metadata={"playerId":"license:abc"}'
{
"success": true,
"object": {
"key": "screenshots/a.png",
"size": 12345,
"contentType": "image/png",
"etag": "3f2a...",
"publicUrl": "https://cdn.fivemesh.io/acme/screenshots/a.png",
"metadata": {
"playerId": "license:abc"
}
},
"requestId": "req_..."
}
Was this page helpful?
⌘I